---
name: Bug report
about: Create a report to help us improve
title: ''
labels: bug
assignees: ''

---

**Describe the bug**
A clear and concise description of what the bug is.

**To Reproduce**
Steps to reproduce the behavior. For example:
1. Go to '...'
2. Click on '....'
3. Scroll down to '....'
4. See error

**Expected behavior**
A clear and concise description of what you expected to happen.

**Output/Screenshots**
If applicable, add console output and/or screenshots to help explain your problem.

**Minimal Working Example**
If applicable/possible, please provide a [minimal working example](https://stackoverflow.com/help/minimal-reproducible-example) which demonstrates the problem and can be run standalone.

```
#include <iostream>
int main()
{
  std::cout << "Hello World!" << std::endl;
  return 0;
}
```

**Configuration/Environment (please complete the following information):**
 - OS: [e.g. Ubuntu 18.04, Windows 10]
 -  ifm3d version: [e.g. 0.14.0]
 - using ROS: [yes/no]

**Camera Configuration**
Please include the output of `ifm3d dump`

**Additional context**
Add any other context about the problem here.
